# CreditCardScannerConfiguration class

Configuration for the credit card scanner.

## Constructors

CreditCardScannerConfiguration.new({bool useDocumentDetector = true, CreditCardScanningMode scanningMode = CreditCardScanningMode.LIVE, bool requireExpiryDate = true, bool requireCardholderName = true, ResultAccumulationConfiguration? resultAccumulationConfig, bool returnCreditCardImage = false})
CreditCardScannerConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
requireCardholderName ↔ bool
  Whether the cardholder name is required for a successful scan.
  getter/setter pair
requireExpiryDate ↔ bool
  Whether the expiry date is required for a successful scan.
  getter/setter pair
resultAccumulationConfig ↔ ResultAccumulationConfiguration
  Configuration for how to accumulate results.
  getter/setter pair
returnCreditCardImage ↔ bool
  If true, the credit card image will be returned in creditCard field of CreditCardScanningResult.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
scanningMode ↔ CreditCardScanningMode
  The scanning mode.
  getter/setter pair
useDocumentDetector ↔ bool
  If true, the document detector will be used to find where the credit card is in the input image. If false, the scanner will assume that the credit card has been pre-cropped and takes the entirety of the input image.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited